using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace BMA.EHR.Infrastructure.Migrations
{
    /// <inheritdoc />
    public partial class AddfieldsalaryforcommandReceiver : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<double>(
                name: "Amount",
                table: "CommandReceivers",
                type: "double",
                nullable: true,
                comment: "เงินเดือน");

            migrationBuilder.AddColumn<double>(
                name: "MouthSalaryAmount",
                table: "CommandReceivers",
                type: "double",
                nullable: true,
                comment: "เงินค่าตอบแทนรายเดือน");

            migrationBuilder.AddColumn<double>(
                name: "PositionSalaryAmount",
                table: "CommandReceivers",
                type: "double",
                nullable: true,
                comment: "เงินประจำตำแหน่ง");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "Amount",
                table: "CommandReceivers");

            migrationBuilder.DropColumn(
                name: "MouthSalaryAmount",
                table: "CommandReceivers");

            migrationBuilder.DropColumn(
                name: "PositionSalaryAmount",
                table: "CommandReceivers");
        }
    }
}
